main()
{
	// Common Jobs...
	maps\mp\_load::main();				 // If using minefields or exploders:

	// Musik

	ambientPlay("ambient_mp_dawnville");

	// This sets the nationalities of the teams. Allies can be american, british, or russian. Axis can be german.
	game["allies"] = "russian";
	game["axis"] = "german";

	// This sets which team is attacking and which team is defending. Attackers plant the bombs. Defenders protect the targets.
	game["attackers"] = "allies";
	game["defenders"] = "axis";

	// This sets what models are used for each nationality on a particular map.
	game["russian_soldiertype"] = "conscript";
	game["russian_soldiervariation"] = "normal";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "normal";

	// Valid settings:
	//	american_soldiertype		airborne
	//	american_soldiervariation	normal, winter
	//
	//	british_soldiertype		airborne, commando
	//	british_soldiervariation	normal, winter
	//
	//	russian_soldiertype		conscript, veteran
	//	russian_soldiervariation	normal, winter
	//
	//	german_soldiertype		waffen, wehrmacht, fallschirmjagercamo, fallschirmjagergrey, kriegsmarine
	//	german_soldiervariation		normal, winter


	// Levelshot
	game["layoutimage"] = "";


	//

	//  Ab hier Pro-Scripting
	//
	script_brushmodels = getentarray("script_origin", "classname");
	for(i = 0; i < script_brushmodels.size; i++)
	{
		script_brushmodel = script_brushmodels[i];

		if(isdefined(script_brushmodel.message))
		{
			// Befehl playfxloop()
			fxid = "";
			cmdpos = strFindString(script_brushmodel.message, "playfxloop(", 0);
			if (cmdpos >= 0)
			{
				fxid = strGetSubStringUntilChar(script_brushmodel.message, cmdpos+11, ")");
			}

			if (fxid.size > 0)
			{
				cmdpos = strFindString(script_brushmodel.message, "playfxloopdelay(", 0);
				if (cmdpos >= 0)
				{
					fxdelay = strGetSubStringUntilChar(script_brushmodel.message, cmdpos+16, ")");
				}
				else
				{
					fxdelay = "5";
				}

				level thread playfx_loop_thread(fxid, script_brushmodel.origin, fxdelay);
			}

			// Befehl ??()

		}
	}

}

playfx_loop_thread(fxId, fxPos, waittime)
{
	for (;;)
	{
		playfx(level._effect[fxId], fxPos);
		wait waittime;
	}
}


//
// Ab hier Pro-Pro-Scripting
//
strLeft(str, count)
{
	if (!isdefined(str) || !isdefined(count))
		return("");

	_result = "";
	for (i=0; i<str.size && i<count; i++)
	{
		_result += str[i];
	}

	return(_result);
}

strGetSubStringUntilChar(str, start, endchar)
{
	if (!isdefined(str) || !isdefined(start) || !isdefined(endchar))
		return("");

	_result = "";
	for (i=start; i<str.size; i++)
	{
		if (str[i] == endchar)
			break;

		_result += str[i];
	}

	return(_result);
}

// Sucht str2 in str1 ab Position start - result = zero based index of str2 in str1 or -1 if not found
strFindString(str1, str2, start)
{
	if (!isdefined(str1) || !isdefined(str2) || !isdefined(start))
		return(-1);

	if (str2.size == 0)
		return(0);

	for (i=start; i < str1.size-str2.size+1; i++)
	{
		str2pos = 0;
		for (j=i; j < str1.size && str2pos < str2.size; j++)
		{
			if (str1[j] != str2[str2pos])
			{
				// Aktuelles Zeichen ist nicht gleich
				break;
			}

			// Nchstes Zeichen vergleichen
			str2pos++;

			if (str2pos >= str2.size)
			{
				// Gefunden an Pos i
				return(i);
			}
		}

		// An Position i nicht gefunden, ein Schritt im str1 weiter
	}

	// str2 in str1 nicht gefunden
	return(-1);
}
